# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'addressscope', 'model_label': 'address scope'},
    {'model_name': 'address', 'model_label': 'address'},
    {'model_name': 'addresscoordinate', 'model_label': 'address coordinate'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:address_{model['model_name']}_add",
        "perms": [f"address.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:address_{model['model_name']}_changelist",
        "perms": [
            f"address.view_{model['model_name']}",
            f"address.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'address',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'address'}},
    'perms': ['address.*'],
    'children': children
}]
